package net.t2code.alias.Spigot.config.config;

import net.t2code.alias.Spigot.enums.ConfigParam;
import net.t2code.alias.Spigot.enums.Confirm;
import net.t2code.alias.Util;
import net.t2code.t2codelib.SPIGOT.api.items.T2CitemBuilder;
import net.t2code.t2codelib.SPIGOT.api.items.T2CitemVersion;
import net.t2code.t2codelib.SPIGOT.api.minecraftVersion.T2CmcVersion;
import org.bukkit.Sound;

public enum Config {
    configVersion("configVersion", Util.getConfigVersion(), ConfigParam.INTEGER),
    language("plugin.language", "english", ConfigParam.STRING),
    updateCheckOnJoin("plugin.updateCheck.onJoin", true, ConfigParam.BOOLEAN),
    updateCheckSeePreReleaseUpdates("plugin.updateCheck.seePreReleaseUpdates", true, ConfigParam.BOOLEAN),
    updateCheckTimeInterval("plugin.updateCheck.timeInterval", 60, ConfigParam.INTEGER),

    buyMessage("buy.message", true, ConfigParam.BOOLEAN),
    buyCurrency("buy.currency", "$", ConfigParam.STRING),
    buyConfirmDefault("buy.confirm.use", Confirm.COMMAND, ConfigParam.CONFIRMENUM),
    buyConfirmGuiFillItemEnabled("buy.confirm.gui.fillItem.enabled", true, ConfigParam.BOOLEAN),
    buyConfirmGuiFillItem("buy.confirm.gui.fillItem.material", T2CitemVersion.getBlackStainedGlassPane().getType().toString(), ConfigParam.STRING),
    buyConfirmGuiConfirm("buy.confirm.gui.confirm.material", T2CitemVersion.getGreenWool().getType().toString(), ConfigParam.STRING),
    buyConfirmGuiCancel("buy.confirm.gui.cancel.material",  T2CitemVersion.getRedWool().getType().toString(), ConfigParam.STRING),
    subAliasTab("subAlias.tabComplete", true, ConfigParam.BOOLEAN);

    public String path;
    public Object value;
    public Sound sound;
    public ConfigParam configParam;

    Config(String path, Object value, ConfigParam cEnum) {
        this.path = path;
        this.value = value;
        this.configParam = cEnum;
    }

    public static Sound sound() {
        if (T2CmcVersion.isMc1_8()) {
            return Sound.valueOf("NOTE_PIANO");
        } else if (T2CmcVersion.isMc1_9() || T2CmcVersion.isMc1_10() || T2CmcVersion.isMc1_11() || T2CmcVersion.isMc1_12()) {
            return Sound.valueOf("BLOCK_NOTE_HARP");
        } else return Sound.valueOf("BLOCK_NOTE_BLOCK_HARP");
    }
}
